Index: issm/trunk/src/c/EnumDefinitions/EnumDefinitions.h
===================================================================
--- issm/trunk/src/c/EnumDefinitions/EnumDefinitions.h	(revision 5466)
+++ issm/trunk/src/c/EnumDefinitions/EnumDefinitions.h	(revision 5468)
@@ -279,4 +279,17 @@
 	OutputFrequencyEnum,
 	/*}}}*/
+	/*Responses{{{1*/
+	MinVelEnum,
+	MaxVelEnum,
+	MinVxEnum,
+	MaxVxEnum,
+	MaxAbsVxEnum,
+	MinVyEnum,
+	MaxVyEnum,
+	MaxAbsVyEnum,
+	MinVzEnum,
+	MaxVzEnum,
+	MaxAbsVzEnum,
+	/*}}}*/
 	/*Convergence{{{1*/
 	RelativeEnum,
@@ -342,4 +355,10 @@
 	QmuOutNameEnum,
 	QmuPartEnum,
+	QmuNumberOfResponsesEnum,
+	IndexedEnum,
+	RegularEnum,
+	IndexEnum,
+	ScaledEnum,
+	NodalEnum,
 	ResponseDescriptorsEnum,
 	SolverStringEnum,
Index: issm/trunk/src/c/EnumDefinitions/EnumToString.cpp
===================================================================
--- issm/trunk/src/c/EnumDefinitions/EnumToString.cpp	(revision 5466)
+++ issm/trunk/src/c/EnumDefinitions/EnumToString.cpp	(revision 5468)
@@ -248,4 +248,15 @@
 		case TimeEnum : return "Time";
 		case OutputFrequencyEnum : return "OutputFrequency";
+		case MinVelEnum : return "MinVel";
+		case MaxVelEnum : return "MaxVel";
+		case MinVxEnum : return "MinVx";
+		case MaxVxEnum : return "MaxVx";
+		case MaxAbsVxEnum : return "MaxAbsVx";
+		case MinVyEnum : return "MinVy";
+		case MaxVyEnum : return "MaxVy";
+		case MaxAbsVyEnum : return "MaxAbsVy";
+		case MinVzEnum : return "MinVz";
+		case MaxVzEnum : return "MaxVz";
+		case MaxAbsVzEnum : return "MaxAbsVz";
 		case RelativeEnum : return "Relative";
 		case ResidualEnum : return "Residual";
@@ -306,4 +317,10 @@
 		case QmuOutNameEnum : return "QmuOutName";
 		case QmuPartEnum : return "QmuPart";
+		case QmuNumberOfResponsesEnum : return "QmuNumberOfResponses";
+		case IndexedEnum : return "Indexed";
+		case RegularEnum : return "Regular";
+		case IndexEnum : return "Index";
+		case ScaledEnum : return "Scaled";
+		case NodalEnum : return "Nodal";
 		case ResponseDescriptorsEnum : return "ResponseDescriptors";
 		case SolverStringEnum : return "SolverString";
Index: issm/trunk/src/c/EnumDefinitions/StringToEnum.cpp
===================================================================
--- issm/trunk/src/c/EnumDefinitions/StringToEnum.cpp	(revision 5466)
+++ issm/trunk/src/c/EnumDefinitions/StringToEnum.cpp	(revision 5468)
@@ -246,4 +246,15 @@
 	else if (strcmp(name,"Time")==0) return TimeEnum;
 	else if (strcmp(name,"OutputFrequency")==0) return OutputFrequencyEnum;
+	else if (strcmp(name,"MinVel")==0) return MinVelEnum;
+	else if (strcmp(name,"MaxVel")==0) return MaxVelEnum;
+	else if (strcmp(name,"MinVx")==0) return MinVxEnum;
+	else if (strcmp(name,"MaxVx")==0) return MaxVxEnum;
+	else if (strcmp(name,"MaxAbsVx")==0) return MaxAbsVxEnum;
+	else if (strcmp(name,"MinVy")==0) return MinVyEnum;
+	else if (strcmp(name,"MaxVy")==0) return MaxVyEnum;
+	else if (strcmp(name,"MaxAbsVy")==0) return MaxAbsVyEnum;
+	else if (strcmp(name,"MinVz")==0) return MinVzEnum;
+	else if (strcmp(name,"MaxVz")==0) return MaxVzEnum;
+	else if (strcmp(name,"MaxAbsVz")==0) return MaxAbsVzEnum;
 	else if (strcmp(name,"Relative")==0) return RelativeEnum;
 	else if (strcmp(name,"Residual")==0) return ResidualEnum;
@@ -304,4 +315,10 @@
 	else if (strcmp(name,"QmuOutName")==0) return QmuOutNameEnum;
 	else if (strcmp(name,"QmuPart")==0) return QmuPartEnum;
+	else if (strcmp(name,"QmuNumberOfResponses")==0) return QmuNumberOfResponsesEnum;
+	else if (strcmp(name,"Indexed")==0) return IndexedEnum;
+	else if (strcmp(name,"Regular")==0) return RegularEnum;
+	else if (strcmp(name,"Index")==0) return IndexEnum;
+	else if (strcmp(name,"Scaled")==0) return ScaledEnum;
+	else if (strcmp(name,"Nodal")==0) return NodalEnum;
 	else if (strcmp(name,"ResponseDescriptors")==0) return ResponseDescriptorsEnum;
 	else if (strcmp(name,"SolverString")==0) return SolverStringEnum;
Index: issm/trunk/src/m/enum/AbsoluteEnum.m
===================================================================
--- issm/trunk/src/m/enum/AbsoluteEnum.m	(revision 5466)
+++ issm/trunk/src/m/enum/AbsoluteEnum.m	(revision 5468)
@@ -9,3 +9,3 @@
 %      macro=AbsoluteEnum()
 
-macro=234;
+macro=245;
Index: issm/trunk/src/m/enum/AdjointEnum.m
===================================================================
--- issm/trunk/src/m/enum/AdjointEnum.m	(revision 5466)
+++ issm/trunk/src/m/enum/AdjointEnum.m	(revision 5468)
@@ -9,3 +9,3 @@
 %      macro=AdjointEnum()
 
-macro=249;
+macro=260;
Index: issm/trunk/src/m/enum/BetaEnum.m
===================================================================
--- issm/trunk/src/m/enum/BetaEnum.m	(revision 5466)
+++ issm/trunk/src/m/enum/BetaEnum.m	(revision 5468)
@@ -9,3 +9,3 @@
 %      macro=BetaEnum()
 
-macro=244;
+macro=255;
Index: issm/trunk/src/m/enum/CmGradientEnum.m
===================================================================
--- issm/trunk/src/m/enum/CmGradientEnum.m	(revision 5466)
+++ issm/trunk/src/m/enum/CmGradientEnum.m	(revision 5468)
@@ -9,3 +9,3 @@
 %      macro=CmGradientEnum()
 
-macro=245;
+macro=256;
Index: issm/trunk/src/m/enum/CmJumpEnum.m
===================================================================
--- issm/trunk/src/m/enum/CmJumpEnum.m	(revision 5466)
+++ issm/trunk/src/m/enum/CmJumpEnum.m	(revision 5468)
@@ -9,3 +9,3 @@
 %      macro=CmJumpEnum()
 
-macro=246;
+macro=257;
Index: issm/trunk/src/m/enum/CmMaxEnum.m
===================================================================
--- issm/trunk/src/m/enum/CmMaxEnum.m	(revision 5466)
+++ issm/trunk/src/m/enum/CmMaxEnum.m	(revision 5468)
@@ -9,3 +9,3 @@
 %      macro=CmMaxEnum()
 
-macro=247;
+macro=258;
Index: issm/trunk/src/m/enum/CmMinEnum.m
===================================================================
--- issm/trunk/src/m/enum/CmMinEnum.m	(revision 5466)
+++ issm/trunk/src/m/enum/CmMinEnum.m	(revision 5468)
@@ -9,3 +9,3 @@
 %      macro=CmMinEnum()
 
-macro=248;
+macro=259;
Index: issm/trunk/src/m/enum/ColinearEnum.m
===================================================================
--- issm/trunk/src/m/enum/ColinearEnum.m	(revision 5466)
+++ issm/trunk/src/m/enum/ColinearEnum.m	(revision 5468)
@@ -9,3 +9,3 @@
 %      macro=ColinearEnum()
 
-macro=242;
+macro=253;
Index: issm/trunk/src/m/enum/ConnectivityEnum.m
===================================================================
--- issm/trunk/src/m/enum/ConnectivityEnum.m	(revision 5466)
+++ issm/trunk/src/m/enum/ConnectivityEnum.m	(revision 5468)
@@ -9,3 +9,3 @@
 %      macro=ConnectivityEnum()
 
-macro=252;
+macro=263;
Index: issm/trunk/src/m/enum/ControlParameterEnum.m
===================================================================
--- issm/trunk/src/m/enum/ControlParameterEnum.m	(revision 5466)
+++ issm/trunk/src/m/enum/ControlParameterEnum.m	(revision 5468)
@@ -9,3 +9,3 @@
 %      macro=ControlParameterEnum()
 
-macro=253;
+macro=264;
Index: issm/trunk/src/m/enum/ControlSteadyEnum.m
===================================================================
--- issm/trunk/src/m/enum/ControlSteadyEnum.m	(revision 5466)
+++ issm/trunk/src/m/enum/ControlSteadyEnum.m	(revision 5468)
@@ -9,3 +9,3 @@
 %      macro=ControlSteadyEnum()
 
-macro=254;
+macro=265;
Index: issm/trunk/src/m/enum/DakotaParameterEnum.m
===================================================================
--- issm/trunk/src/m/enum/DakotaParameterEnum.m	(revision 5466)
+++ issm/trunk/src/m/enum/DakotaParameterEnum.m	(revision 5468)
@@ -9,3 +9,3 @@
 %      macro=DakotaParameterEnum()
 
-macro=255;
+macro=266;
Index: issm/trunk/src/m/enum/DimEnum.m
===================================================================
--- issm/trunk/src/m/enum/DimEnum.m	(revision 5466)
+++ issm/trunk/src/m/enum/DimEnum.m	(revision 5468)
@@ -9,3 +9,3 @@
 %      macro=DimEnum()
 
-macro=256;
+macro=267;
Index: issm/trunk/src/m/enum/EnumToString.m
===================================================================
--- issm/trunk/src/m/enum/EnumToString.m	(revision 5466)
+++ issm/trunk/src/m/enum/EnumToString.m	(revision 5468)
@@ -243,4 +243,15 @@
 case TimeEnum(), string='Time'; return
 case OutputFrequencyEnum(), string='OutputFrequency'; return
+case MinVelEnum(), string='MinVel'; return
+case MaxVelEnum(), string='MaxVel'; return
+case MinVxEnum(), string='MinVx'; return
+case MaxVxEnum(), string='MaxVx'; return
+case MaxAbsVxEnum(), string='MaxAbsVx'; return
+case MinVyEnum(), string='MinVy'; return
+case MaxVyEnum(), string='MaxVy'; return
+case MaxAbsVyEnum(), string='MaxAbsVy'; return
+case MinVzEnum(), string='MinVz'; return
+case MaxVzEnum(), string='MaxVz'; return
+case MaxAbsVzEnum(), string='MaxAbsVz'; return
 case RelativeEnum(), string='Relative'; return
 case ResidualEnum(), string='Residual'; return
@@ -301,4 +312,10 @@
 case QmuOutNameEnum(), string='QmuOutName'; return
 case QmuPartEnum(), string='QmuPart'; return
+case QmuNumberOfResponsesEnum(), string='QmuNumberOfResponses'; return
+case IndexedEnum(), string='Indexed'; return
+case RegularEnum(), string='Regular'; return
+case IndexEnum(), string='Index'; return
+case ScaledEnum(), string='Scaled'; return
+case NodalEnum(), string='Nodal'; return
 case ResponseDescriptorsEnum(), string='ResponseDescriptors'; return
 case SolverStringEnum(), string='SolverString'; return
Index: issm/trunk/src/m/enum/EpsAbsEnum.m
===================================================================
--- issm/trunk/src/m/enum/EpsAbsEnum.m	(revision 5466)
+++ issm/trunk/src/m/enum/EpsAbsEnum.m	(revision 5468)
@@ -9,3 +9,3 @@
 %      macro=EpsAbsEnum()
 
-macro=257;
+macro=268;
Index: issm/trunk/src/m/enum/EpsCmEnum.m
===================================================================
--- issm/trunk/src/m/enum/EpsCmEnum.m	(revision 5466)
+++ issm/trunk/src/m/enum/EpsCmEnum.m	(revision 5468)
@@ -9,3 +9,3 @@
 %      macro=EpsCmEnum()
 
-macro=258;
+macro=269;
Index: issm/trunk/src/m/enum/EpsRelEnum.m
===================================================================
--- issm/trunk/src/m/enum/EpsRelEnum.m	(revision 5466)
+++ issm/trunk/src/m/enum/EpsRelEnum.m	(revision 5468)
@@ -9,3 +9,3 @@
 %      macro=EpsRelEnum()
 
-macro=259;
+macro=270;
Index: issm/trunk/src/m/enum/EpsResEnum.m
===================================================================
--- issm/trunk/src/m/enum/EpsResEnum.m	(revision 5466)
+++ issm/trunk/src/m/enum/EpsResEnum.m	(revision 5468)
@@ -9,3 +9,3 @@
 %      macro=EpsResEnum()
 
-macro=260;
+macro=271;
Index: issm/trunk/src/m/enum/GradientEnum.m
===================================================================
--- issm/trunk/src/m/enum/GradientEnum.m	(revision 5466)
+++ issm/trunk/src/m/enum/GradientEnum.m	(revision 5468)
@@ -9,3 +9,3 @@
 %      macro=GradientEnum()
 
-macro=250;
+macro=261;
Index: issm/trunk/src/m/enum/GravityEnum.m
===================================================================
--- issm/trunk/src/m/enum/GravityEnum.m	(revision 5466)
+++ issm/trunk/src/m/enum/GravityEnum.m	(revision 5468)
@@ -9,3 +9,3 @@
 %      macro=GravityEnum()
 
-macro=237;
+macro=248;
Index: issm/trunk/src/m/enum/HeatCapacityEnum.m
===================================================================
--- issm/trunk/src/m/enum/HeatCapacityEnum.m	(revision 5466)
+++ issm/trunk/src/m/enum/HeatCapacityEnum.m	(revision 5468)
@@ -9,3 +9,3 @@
 %      macro=HeatCapacityEnum()
 
-macro=261;
+macro=272;
Index: issm/trunk/src/m/enum/IndexEnum.m
===================================================================
--- issm/trunk/src/m/enum/IndexEnum.m	(revision 5468)
+++ issm/trunk/src/m/enum/IndexEnum.m	(revision 5468)
@@ -0,0 +1,11 @@
+function macro=IndexEnum()
+%INDEXENUM - Enum of Index
+%
+%   WARNING: DO NOT MODIFY THIS FILE
+%            this file has been automatically generated by src/c/SynchronizeMatlabEnum
+%            Please read src/c/README for more information
+%
+%   Usage:
+%      macro=IndexEnum()
+
+macro=304;
Index: issm/trunk/src/m/enum/IndexedEnum.m
===================================================================
--- issm/trunk/src/m/enum/IndexedEnum.m	(revision 5468)
+++ issm/trunk/src/m/enum/IndexedEnum.m	(revision 5468)
@@ -0,0 +1,11 @@
+function macro=IndexedEnum()
+%INDEXEDENUM - Enum of Indexed
+%
+%   WARNING: DO NOT MODIFY THIS FILE
+%            this file has been automatically generated by src/c/SynchronizeMatlabEnum
+%            Please read src/c/README for more information
+%
+%   Usage:
+%      macro=IndexedEnum()
+
+macro=302;
Index: issm/trunk/src/m/enum/IntersectEnum.m
===================================================================
--- issm/trunk/src/m/enum/IntersectEnum.m	(revision 5466)
+++ issm/trunk/src/m/enum/IntersectEnum.m	(revision 5468)
@@ -9,3 +9,3 @@
 %      macro=IntersectEnum()
 
-macro=241;
+macro=252;
Index: issm/trunk/src/m/enum/IsHutterEnum.m
===================================================================
--- issm/trunk/src/m/enum/IsHutterEnum.m	(revision 5466)
+++ issm/trunk/src/m/enum/IsHutterEnum.m	(revision 5468)
@@ -9,3 +9,3 @@
 %      macro=IsHutterEnum()
 
-macro=262;
+macro=273;
Index: issm/trunk/src/m/enum/IsMacAyealPattynEnum.m
===================================================================
--- issm/trunk/src/m/enum/IsMacAyealPattynEnum.m	(revision 5466)
+++ issm/trunk/src/m/enum/IsMacAyealPattynEnum.m	(revision 5468)
@@ -9,3 +9,3 @@
 %      macro=IsMacAyealPattynEnum()
 
-macro=263;
+macro=274;
Index: issm/trunk/src/m/enum/IsStokesEnum.m
===================================================================
--- issm/trunk/src/m/enum/IsStokesEnum.m	(revision 5466)
+++ issm/trunk/src/m/enum/IsStokesEnum.m	(revision 5468)
@@ -9,3 +9,3 @@
 %      macro=IsStokesEnum()
 
-macro=264;
+macro=275;
Index: issm/trunk/src/m/enum/LatentHeatEnum.m
===================================================================
--- issm/trunk/src/m/enum/LatentHeatEnum.m	(revision 5466)
+++ issm/trunk/src/m/enum/LatentHeatEnum.m	(revision 5468)
@@ -9,3 +9,3 @@
 %      macro=LatentHeatEnum()
 
-macro=265;
+macro=276;
Index: issm/trunk/src/m/enum/LowmemEnum.m
===================================================================
--- issm/trunk/src/m/enum/LowmemEnum.m	(revision 5466)
+++ issm/trunk/src/m/enum/LowmemEnum.m	(revision 5468)
@@ -9,3 +9,3 @@
 %      macro=LowmemEnum()
 
-macro=266;
+macro=277;
Index: issm/trunk/src/m/enum/MaxAbsVxEnum.m
===================================================================
--- issm/trunk/src/m/enum/MaxAbsVxEnum.m	(revision 5468)
+++ issm/trunk/src/m/enum/MaxAbsVxEnum.m	(revision 5468)
@@ -0,0 +1,11 @@
+function macro=MaxAbsVxEnum()
+%MAXABSVXENUM - Enum of MaxAbsVx
+%
+%   WARNING: DO NOT MODIFY THIS FILE
+%            this file has been automatically generated by src/c/SynchronizeMatlabEnum
+%            Please read src/c/README for more information
+%
+%   Usage:
+%      macro=MaxAbsVxEnum()
+
+macro=236;
Index: issm/trunk/src/m/enum/MaxAbsVyEnum.m
===================================================================
--- issm/trunk/src/m/enum/MaxAbsVyEnum.m	(revision 5468)
+++ issm/trunk/src/m/enum/MaxAbsVyEnum.m	(revision 5468)
@@ -0,0 +1,11 @@
+function macro=MaxAbsVyEnum()
+%MAXABSVYENUM - Enum of MaxAbsVy
+%
+%   WARNING: DO NOT MODIFY THIS FILE
+%            this file has been automatically generated by src/c/SynchronizeMatlabEnum
+%            Please read src/c/README for more information
+%
+%   Usage:
+%      macro=MaxAbsVyEnum()
+
+macro=239;
Index: issm/trunk/src/m/enum/MaxAbsVzEnum.m
===================================================================
--- issm/trunk/src/m/enum/MaxAbsVzEnum.m	(revision 5468)
+++ issm/trunk/src/m/enum/MaxAbsVzEnum.m	(revision 5468)
@@ -0,0 +1,11 @@
+function macro=MaxAbsVzEnum()
+%MAXABSVZENUM - Enum of MaxAbsVz
+%
+%   WARNING: DO NOT MODIFY THIS FILE
+%            this file has been automatically generated by src/c/SynchronizeMatlabEnum
+%            Please read src/c/README for more information
+%
+%   Usage:
+%      macro=MaxAbsVzEnum()
+
+macro=242;
Index: issm/trunk/src/m/enum/MaxIterEnum.m
===================================================================
--- issm/trunk/src/m/enum/MaxIterEnum.m	(revision 5466)
+++ issm/trunk/src/m/enum/MaxIterEnum.m	(revision 5468)
@@ -9,3 +9,3 @@
 %      macro=MaxIterEnum()
 
-macro=267;
+macro=278;
Index: issm/trunk/src/m/enum/MaxNonlinearIterationsEnum.m
===================================================================
--- issm/trunk/src/m/enum/MaxNonlinearIterationsEnum.m	(revision 5466)
+++ issm/trunk/src/m/enum/MaxNonlinearIterationsEnum.m	(revision 5468)
@@ -9,3 +9,3 @@
 %      macro=MaxNonlinearIterationsEnum()
 
-macro=268;
+macro=279;
Index: issm/trunk/src/m/enum/MaxVelEnum.m
===================================================================
--- issm/trunk/src/m/enum/MaxVelEnum.m	(revision 5468)
+++ issm/trunk/src/m/enum/MaxVelEnum.m	(revision 5468)
@@ -0,0 +1,11 @@
+function macro=MaxVelEnum()
+%MAXVELENUM - Enum of MaxVel
+%
+%   WARNING: DO NOT MODIFY THIS FILE
+%            this file has been automatically generated by src/c/SynchronizeMatlabEnum
+%            Please read src/c/README for more information
+%
+%   Usage:
+%      macro=MaxVelEnum()
+
+macro=233;
Index: issm/trunk/src/m/enum/MaxVxEnum.m
===================================================================
--- issm/trunk/src/m/enum/MaxVxEnum.m	(revision 5468)
+++ issm/trunk/src/m/enum/MaxVxEnum.m	(revision 5468)
@@ -0,0 +1,11 @@
+function macro=MaxVxEnum()
+%MAXVXENUM - Enum of MaxVx
+%
+%   WARNING: DO NOT MODIFY THIS FILE
+%            this file has been automatically generated by src/c/SynchronizeMatlabEnum
+%            Please read src/c/README for more information
+%
+%   Usage:
+%      macro=MaxVxEnum()
+
+macro=235;
Index: issm/trunk/src/m/enum/MaxVyEnum.m
===================================================================
--- issm/trunk/src/m/enum/MaxVyEnum.m	(revision 5468)
+++ issm/trunk/src/m/enum/MaxVyEnum.m	(revision 5468)
@@ -0,0 +1,11 @@
+function macro=MaxVyEnum()
+%MAXVYENUM - Enum of MaxVy
+%
+%   WARNING: DO NOT MODIFY THIS FILE
+%            this file has been automatically generated by src/c/SynchronizeMatlabEnum
+%            Please read src/c/README for more information
+%
+%   Usage:
+%      macro=MaxVyEnum()
+
+macro=238;
Index: issm/trunk/src/m/enum/MaxVzEnum.m
===================================================================
--- issm/trunk/src/m/enum/MaxVzEnum.m	(revision 5468)
+++ issm/trunk/src/m/enum/MaxVzEnum.m	(revision 5468)
@@ -0,0 +1,11 @@
+function macro=MaxVzEnum()
+%MAXVZENUM - Enum of MaxVz
+%
+%   WARNING: DO NOT MODIFY THIS FILE
+%            this file has been automatically generated by src/c/SynchronizeMatlabEnum
+%            Please read src/c/README for more information
+%
+%   Usage:
+%      macro=MaxVzEnum()
+
+macro=241;
Index: issm/trunk/src/m/enum/MeltingPointEnum.m
===================================================================
--- issm/trunk/src/m/enum/MeltingPointEnum.m	(revision 5466)
+++ issm/trunk/src/m/enum/MeltingPointEnum.m	(revision 5468)
@@ -9,3 +9,3 @@
 %      macro=MeltingPointEnum()
 
-macro=269;
+macro=280;
Index: issm/trunk/src/m/enum/MinMechanicalConstraintsEnum.m
===================================================================
--- issm/trunk/src/m/enum/MinMechanicalConstraintsEnum.m	(revision 5466)
+++ issm/trunk/src/m/enum/MinMechanicalConstraintsEnum.m	(revision 5468)
@@ -9,3 +9,3 @@
 %      macro=MinMechanicalConstraintsEnum()
 
-macro=270;
+macro=281;
Index: issm/trunk/src/m/enum/MinThermalConstraintsEnum.m
===================================================================
--- issm/trunk/src/m/enum/MinThermalConstraintsEnum.m	(revision 5466)
+++ issm/trunk/src/m/enum/MinThermalConstraintsEnum.m	(revision 5468)
@@ -9,3 +9,3 @@
 %      macro=MinThermalConstraintsEnum()
 
-macro=271;
+macro=282;
Index: issm/trunk/src/m/enum/MinVelEnum.m
===================================================================
--- issm/trunk/src/m/enum/MinVelEnum.m	(revision 5468)
+++ issm/trunk/src/m/enum/MinVelEnum.m	(revision 5468)
@@ -0,0 +1,11 @@
+function macro=MinVelEnum()
+%MINVELENUM - Enum of MinVel
+%
+%   WARNING: DO NOT MODIFY THIS FILE
+%            this file has been automatically generated by src/c/SynchronizeMatlabEnum
+%            Please read src/c/README for more information
+%
+%   Usage:
+%      macro=MinVelEnum()
+
+macro=232;
Index: issm/trunk/src/m/enum/MinVxEnum.m
===================================================================
--- issm/trunk/src/m/enum/MinVxEnum.m	(revision 5468)
+++ issm/trunk/src/m/enum/MinVxEnum.m	(revision 5468)
@@ -0,0 +1,11 @@
+function macro=MinVxEnum()
+%MINVXENUM - Enum of MinVx
+%
+%   WARNING: DO NOT MODIFY THIS FILE
+%            this file has been automatically generated by src/c/SynchronizeMatlabEnum
+%            Please read src/c/README for more information
+%
+%   Usage:
+%      macro=MinVxEnum()
+
+macro=234;
Index: issm/trunk/src/m/enum/MinVyEnum.m
===================================================================
--- issm/trunk/src/m/enum/MinVyEnum.m	(revision 5468)
+++ issm/trunk/src/m/enum/MinVyEnum.m	(revision 5468)
@@ -0,0 +1,11 @@
+function macro=MinVyEnum()
+%MINVYENUM - Enum of MinVy
+%
+%   WARNING: DO NOT MODIFY THIS FILE
+%            this file has been automatically generated by src/c/SynchronizeMatlabEnum
+%            Please read src/c/README for more information
+%
+%   Usage:
+%      macro=MinVyEnum()
+
+macro=237;
Index: issm/trunk/src/m/enum/MinVzEnum.m
===================================================================
--- issm/trunk/src/m/enum/MinVzEnum.m	(revision 5468)
+++ issm/trunk/src/m/enum/MinVzEnum.m	(revision 5468)
@@ -0,0 +1,11 @@
+function macro=MinVzEnum()
+%MINVZENUM - Enum of MinVz
+%
+%   WARNING: DO NOT MODIFY THIS FILE
+%            this file has been automatically generated by src/c/SynchronizeMatlabEnum
+%            Please read src/c/README for more information
+%
+%   Usage:
+%      macro=MinVzEnum()
+
+macro=240;
Index: issm/trunk/src/m/enum/MixedLayerCapacityEnum.m
===================================================================
--- issm/trunk/src/m/enum/MixedLayerCapacityEnum.m	(revision 5466)
+++ issm/trunk/src/m/enum/MixedLayerCapacityEnum.m	(revision 5468)
@@ -9,3 +9,3 @@
 %      macro=MixedLayerCapacityEnum()
 
-macro=239;
+macro=250;
Index: issm/trunk/src/m/enum/NStepsEnum.m
===================================================================
--- issm/trunk/src/m/enum/NStepsEnum.m	(revision 5466)
+++ issm/trunk/src/m/enum/NStepsEnum.m	(revision 5468)
@@ -9,3 +9,3 @@
 %      macro=NStepsEnum()
 
-macro=272;
+macro=283;
Index: issm/trunk/src/m/enum/NdtEnum.m
===================================================================
--- issm/trunk/src/m/enum/NdtEnum.m	(revision 5466)
+++ issm/trunk/src/m/enum/NdtEnum.m	(revision 5468)
@@ -9,3 +9,3 @@
 %      macro=NdtEnum()
 
-macro=273;
+macro=284;
Index: issm/trunk/src/m/enum/NodalEnum.m
===================================================================
--- issm/trunk/src/m/enum/NodalEnum.m	(revision 5468)
+++ issm/trunk/src/m/enum/NodalEnum.m	(revision 5468)
@@ -0,0 +1,11 @@
+function macro=NodalEnum()
+%NODALENUM - Enum of Nodal
+%
+%   WARNING: DO NOT MODIFY THIS FILE
+%            this file has been automatically generated by src/c/SynchronizeMatlabEnum
+%            Please read src/c/README for more information
+%
+%   Usage:
+%      macro=NodalEnum()
+
+macro=306;
Index: issm/trunk/src/m/enum/NumOutputEnum.m
===================================================================
--- issm/trunk/src/m/enum/NumOutputEnum.m	(revision 5466)
+++ issm/trunk/src/m/enum/NumOutputEnum.m	(revision 5468)
@@ -9,3 +9,3 @@
 %      macro=NumOutputEnum()
 
-macro=274;
+macro=285;
Index: issm/trunk/src/m/enum/NumRiftsEnum.m
===================================================================
--- issm/trunk/src/m/enum/NumRiftsEnum.m	(revision 5466)
+++ issm/trunk/src/m/enum/NumRiftsEnum.m	(revision 5468)
@@ -9,3 +9,3 @@
 %      macro=NumRiftsEnum()
 
-macro=275;
+macro=286;
Index: issm/trunk/src/m/enum/NumberOfElementsEnum.m
===================================================================
--- issm/trunk/src/m/enum/NumberOfElementsEnum.m	(revision 5466)
+++ issm/trunk/src/m/enum/NumberOfElementsEnum.m	(revision 5468)
@@ -9,3 +9,3 @@
 %      macro=NumberOfElementsEnum()
 
-macro=276;
+macro=287;
Index: issm/trunk/src/m/enum/NumberOfNodesEnum.m
===================================================================
--- issm/trunk/src/m/enum/NumberOfNodesEnum.m	(revision 5466)
+++ issm/trunk/src/m/enum/NumberOfNodesEnum.m	(revision 5468)
@@ -9,3 +9,3 @@
 %      macro=NumberOfNodesEnum()
 
-macro=277;
+macro=288;
Index: issm/trunk/src/m/enum/NumberOfVerticesEnum.m
===================================================================
--- issm/trunk/src/m/enum/NumberOfVerticesEnum.m	(revision 5466)
+++ issm/trunk/src/m/enum/NumberOfVerticesEnum.m	(revision 5468)
@@ -9,3 +9,3 @@
 %      macro=NumberOfVerticesEnum()
 
-macro=278;
+macro=289;
Index: issm/trunk/src/m/enum/OldGradientEnum.m
===================================================================
--- issm/trunk/src/m/enum/OldGradientEnum.m	(revision 5466)
+++ issm/trunk/src/m/enum/OldGradientEnum.m	(revision 5468)
@@ -9,3 +9,3 @@
 %      macro=OldGradientEnum()
 
-macro=251;
+macro=262;
Index: issm/trunk/src/m/enum/OptScalEnum.m
===================================================================
--- issm/trunk/src/m/enum/OptScalEnum.m	(revision 5466)
+++ issm/trunk/src/m/enum/OptScalEnum.m	(revision 5468)
@@ -9,3 +9,3 @@
 %      macro=OptScalEnum()
 
-macro=279;
+macro=290;
Index: issm/trunk/src/m/enum/OutputFilePointerEnum.m
===================================================================
--- issm/trunk/src/m/enum/OutputFilePointerEnum.m	(revision 5466)
+++ issm/trunk/src/m/enum/OutputFilePointerEnum.m	(revision 5468)
@@ -9,3 +9,3 @@
 %      macro=OutputFilePointerEnum()
 
-macro=280;
+macro=291;
Index: issm/trunk/src/m/enum/ParameterOutputEnum.m
===================================================================
--- issm/trunk/src/m/enum/ParameterOutputEnum.m	(revision 5466)
+++ issm/trunk/src/m/enum/ParameterOutputEnum.m	(revision 5468)
@@ -9,3 +9,3 @@
 %      macro=ParameterOutputEnum()
 
-macro=281;
+macro=292;
Index: issm/trunk/src/m/enum/PenaltyMeltingEnum.m
===================================================================
--- issm/trunk/src/m/enum/PenaltyMeltingEnum.m	(revision 5466)
+++ issm/trunk/src/m/enum/PenaltyMeltingEnum.m	(revision 5468)
@@ -9,3 +9,3 @@
 %      macro=PenaltyMeltingEnum()
 
-macro=282;
+macro=293;
Index: issm/trunk/src/m/enum/QmuAnalysisEnum.m
===================================================================
--- issm/trunk/src/m/enum/QmuAnalysisEnum.m	(revision 5466)
+++ issm/trunk/src/m/enum/QmuAnalysisEnum.m	(revision 5468)
@@ -9,3 +9,3 @@
 %      macro=QmuAnalysisEnum()
 
-macro=283;
+macro=294;
Index: issm/trunk/src/m/enum/QmuErrNameEnum.m
===================================================================
--- issm/trunk/src/m/enum/QmuErrNameEnum.m	(revision 5466)
+++ issm/trunk/src/m/enum/QmuErrNameEnum.m	(revision 5468)
@@ -9,3 +9,3 @@
 %      macro=QmuErrNameEnum()
 
-macro=284;
+macro=295;
Index: issm/trunk/src/m/enum/QmuInNameEnum.m
===================================================================
--- issm/trunk/src/m/enum/QmuInNameEnum.m	(revision 5466)
+++ issm/trunk/src/m/enum/QmuInNameEnum.m	(revision 5468)
@@ -9,3 +9,3 @@
 %      macro=QmuInNameEnum()
 
-macro=285;
+macro=296;
Index: issm/trunk/src/m/enum/QmuMassFluxSegmentsEnum.m
===================================================================
--- issm/trunk/src/m/enum/QmuMassFluxSegmentsEnum.m	(revision 5466)
+++ issm/trunk/src/m/enum/QmuMassFluxSegmentsEnum.m	(revision 5468)
@@ -9,3 +9,3 @@
 %      macro=QmuMassFluxSegmentsEnum()
 
-macro=286;
+macro=297;
Index: issm/trunk/src/m/enum/QmuNPartEnum.m
===================================================================
--- issm/trunk/src/m/enum/QmuNPartEnum.m	(revision 5466)
+++ issm/trunk/src/m/enum/QmuNPartEnum.m	(revision 5468)
@@ -9,3 +9,3 @@
 %      macro=QmuNPartEnum()
 
-macro=287;
+macro=298;
Index: issm/trunk/src/m/enum/QmuNumberOfResponsesEnum.m
===================================================================
--- issm/trunk/src/m/enum/QmuNumberOfResponsesEnum.m	(revision 5468)
+++ issm/trunk/src/m/enum/QmuNumberOfResponsesEnum.m	(revision 5468)
@@ -0,0 +1,11 @@
+function macro=QmuNumberOfResponsesEnum()
+%QMUNUMBEROFRESPONSESENUM - Enum of QmuNumberOfResponses
+%
+%   WARNING: DO NOT MODIFY THIS FILE
+%            this file has been automatically generated by src/c/SynchronizeMatlabEnum
+%            Please read src/c/README for more information
+%
+%   Usage:
+%      macro=QmuNumberOfResponsesEnum()
+
+macro=301;
Index: issm/trunk/src/m/enum/QmuOutNameEnum.m
===================================================================
--- issm/trunk/src/m/enum/QmuOutNameEnum.m	(revision 5466)
+++ issm/trunk/src/m/enum/QmuOutNameEnum.m	(revision 5468)
@@ -9,3 +9,3 @@
 %      macro=QmuOutNameEnum()
 
-macro=288;
+macro=299;
Index: issm/trunk/src/m/enum/QmuPartEnum.m
===================================================================
--- issm/trunk/src/m/enum/QmuPartEnum.m	(revision 5466)
+++ issm/trunk/src/m/enum/QmuPartEnum.m	(revision 5468)
@@ -9,3 +9,3 @@
 %      macro=QmuPartEnum()
 
-macro=289;
+macro=300;
Index: issm/trunk/src/m/enum/RegularEnum.m
===================================================================
--- issm/trunk/src/m/enum/RegularEnum.m	(revision 5468)
+++ issm/trunk/src/m/enum/RegularEnum.m	(revision 5468)
@@ -0,0 +1,11 @@
+function macro=RegularEnum()
+%REGULARENUM - Enum of Regular
+%
+%   WARNING: DO NOT MODIFY THIS FILE
+%            this file has been automatically generated by src/c/SynchronizeMatlabEnum
+%            Please read src/c/README for more information
+%
+%   Usage:
+%      macro=RegularEnum()
+
+macro=303;
Index: issm/trunk/src/m/enum/RelativeEnum.m
===================================================================
--- issm/trunk/src/m/enum/RelativeEnum.m	(revision 5466)
+++ issm/trunk/src/m/enum/RelativeEnum.m	(revision 5468)
@@ -9,3 +9,3 @@
 %      macro=RelativeEnum()
 
-macro=232;
+macro=243;
Index: issm/trunk/src/m/enum/ResidualEnum.m
===================================================================
--- issm/trunk/src/m/enum/ResidualEnum.m	(revision 5466)
+++ issm/trunk/src/m/enum/ResidualEnum.m	(revision 5468)
@@ -9,3 +9,3 @@
 %      macro=ResidualEnum()
 
-macro=233;
+macro=244;
Index: issm/trunk/src/m/enum/ResponseDescriptorsEnum.m
===================================================================
--- issm/trunk/src/m/enum/ResponseDescriptorsEnum.m	(revision 5466)
+++ issm/trunk/src/m/enum/ResponseDescriptorsEnum.m	(revision 5468)
@@ -9,3 +9,3 @@
 %      macro=ResponseDescriptorsEnum()
 
-macro=290;
+macro=307;
Index: issm/trunk/src/m/enum/RhoIceEnum.m
===================================================================
--- issm/trunk/src/m/enum/RhoIceEnum.m	(revision 5466)
+++ issm/trunk/src/m/enum/RhoIceEnum.m	(revision 5468)
@@ -9,3 +9,3 @@
 %      macro=RhoIceEnum()
 
-macro=235;
+macro=246;
Index: issm/trunk/src/m/enum/RhoWaterEnum.m
===================================================================
--- issm/trunk/src/m/enum/RhoWaterEnum.m	(revision 5466)
+++ issm/trunk/src/m/enum/RhoWaterEnum.m	(revision 5468)
@@ -9,3 +9,3 @@
 %      macro=RhoWaterEnum()
 
-macro=236;
+macro=247;
Index: issm/trunk/src/m/enum/ScaledEnum.m
===================================================================
--- issm/trunk/src/m/enum/ScaledEnum.m	(revision 5468)
+++ issm/trunk/src/m/enum/ScaledEnum.m	(revision 5468)
@@ -0,0 +1,11 @@
+function macro=ScaledEnum()
+%SCALEDENUM - Enum of Scaled
+%
+%   WARNING: DO NOT MODIFY THIS FILE
+%            this file has been automatically generated by src/c/SynchronizeMatlabEnum
+%            Please read src/c/README for more information
+%
+%   Usage:
+%      macro=ScaledEnum()
+
+macro=305;
Index: issm/trunk/src/m/enum/SeparateEnum.m
===================================================================
--- issm/trunk/src/m/enum/SeparateEnum.m	(revision 5466)
+++ issm/trunk/src/m/enum/SeparateEnum.m	(revision 5468)
@@ -9,3 +9,3 @@
 %      macro=SeparateEnum()
 
-macro=243;
+macro=254;
Index: issm/trunk/src/m/enum/SolverStringEnum.m
===================================================================
--- issm/trunk/src/m/enum/SolverStringEnum.m	(revision 5466)
+++ issm/trunk/src/m/enum/SolverStringEnum.m	(revision 5468)
@@ -9,3 +9,3 @@
 %      macro=SolverStringEnum()
 
-macro=291;
+macro=308;
Index: issm/trunk/src/m/enum/SparsityEnum.m
===================================================================
--- issm/trunk/src/m/enum/SparsityEnum.m	(revision 5466)
+++ issm/trunk/src/m/enum/SparsityEnum.m	(revision 5468)
@@ -9,3 +9,3 @@
 %      macro=SparsityEnum()
 
-macro=292;
+macro=309;
Index: issm/trunk/src/m/enum/StringToEnum.m
===================================================================
--- issm/trunk/src/m/enum/StringToEnum.m	(revision 5466)
+++ issm/trunk/src/m/enum/StringToEnum.m	(revision 5468)
@@ -241,4 +241,15 @@
 			elseif (strcmpi(name,'Time')), enum=TimeEnum(); return
 			elseif (strcmpi(name,'OutputFrequency')), enum=OutputFrequencyEnum(); return
+			elseif (strcmpi(name,'MinVel')), enum=MinVelEnum(); return
+			elseif (strcmpi(name,'MaxVel')), enum=MaxVelEnum(); return
+			elseif (strcmpi(name,'MinVx')), enum=MinVxEnum(); return
+			elseif (strcmpi(name,'MaxVx')), enum=MaxVxEnum(); return
+			elseif (strcmpi(name,'MaxAbsVx')), enum=MaxAbsVxEnum(); return
+			elseif (strcmpi(name,'MinVy')), enum=MinVyEnum(); return
+			elseif (strcmpi(name,'MaxVy')), enum=MaxVyEnum(); return
+			elseif (strcmpi(name,'MaxAbsVy')), enum=MaxAbsVyEnum(); return
+			elseif (strcmpi(name,'MinVz')), enum=MinVzEnum(); return
+			elseif (strcmpi(name,'MaxVz')), enum=MaxVzEnum(); return
+			elseif (strcmpi(name,'MaxAbsVz')), enum=MaxAbsVzEnum(); return
 			elseif (strcmpi(name,'Relative')), enum=RelativeEnum(); return
 			elseif (strcmpi(name,'Residual')), enum=ResidualEnum(); return
@@ -299,4 +310,10 @@
 			elseif (strcmpi(name,'QmuOutName')), enum=QmuOutNameEnum(); return
 			elseif (strcmpi(name,'QmuPart')), enum=QmuPartEnum(); return
+			elseif (strcmpi(name,'QmuNumberOfResponses')), enum=QmuNumberOfResponsesEnum(); return
+			elseif (strcmpi(name,'Indexed')), enum=IndexedEnum(); return
+			elseif (strcmpi(name,'Regular')), enum=RegularEnum(); return
+			elseif (strcmpi(name,'Index')), enum=IndexEnum(); return
+			elseif (strcmpi(name,'Scaled')), enum=ScaledEnum(); return
+			elseif (strcmpi(name,'Nodal')), enum=NodalEnum(); return
 			elseif (strcmpi(name,'ResponseDescriptors')), enum=ResponseDescriptorsEnum(); return
 			elseif (strcmpi(name,'SolverString')), enum=SolverStringEnum(); return
Index: issm/trunk/src/m/enum/ThermalConductivityEnum.m
===================================================================
--- issm/trunk/src/m/enum/ThermalConductivityEnum.m	(revision 5466)
+++ issm/trunk/src/m/enum/ThermalConductivityEnum.m	(revision 5468)
@@ -9,3 +9,3 @@
 %      macro=ThermalConductivityEnum()
 
-macro=238;
+macro=249;
Index: issm/trunk/src/m/enum/ThermalExchangeVelocityEnum.m
===================================================================
--- issm/trunk/src/m/enum/ThermalExchangeVelocityEnum.m	(revision 5466)
+++ issm/trunk/src/m/enum/ThermalExchangeVelocityEnum.m	(revision 5468)
@@ -9,3 +9,3 @@
 %      macro=ThermalExchangeVelocityEnum()
 
-macro=240;
+macro=251;
Index: issm/trunk/src/m/enum/TolXEnum.m
===================================================================
--- issm/trunk/src/m/enum/TolXEnum.m	(revision 5466)
+++ issm/trunk/src/m/enum/TolXEnum.m	(revision 5468)
@@ -9,3 +9,3 @@
 %      macro=TolXEnum()
 
-macro=293;
+macro=310;
Index: issm/trunk/src/m/enum/VariableDescriptorsEnum.m
===================================================================
--- issm/trunk/src/m/enum/VariableDescriptorsEnum.m	(revision 5466)
+++ issm/trunk/src/m/enum/VariableDescriptorsEnum.m	(revision 5468)
@@ -9,3 +9,3 @@
 %      macro=VariableDescriptorsEnum()
 
-macro=294;
+macro=311;
Index: issm/trunk/src/m/enum/VerboseEnum.m
===================================================================
--- issm/trunk/src/m/enum/VerboseEnum.m	(revision 5466)
+++ issm/trunk/src/m/enum/VerboseEnum.m	(revision 5468)
@@ -9,3 +9,3 @@
 %      macro=VerboseEnum()
 
-macro=295;
+macro=312;
Index: issm/trunk/src/m/enum/WaitOnLockEnum.m
===================================================================
--- issm/trunk/src/m/enum/WaitOnLockEnum.m	(revision 5466)
+++ issm/trunk/src/m/enum/WaitOnLockEnum.m	(revision 5468)
@@ -9,3 +9,3 @@
 %      macro=WaitOnLockEnum()
 
-macro=296;
+macro=313;
Index: issm/trunk/src/m/enum/YtsEnum.m
===================================================================
--- issm/trunk/src/m/enum/YtsEnum.m	(revision 5466)
+++ issm/trunk/src/m/enum/YtsEnum.m	(revision 5468)
@@ -9,3 +9,3 @@
 %      macro=YtsEnum()
 
-macro=297;
+macro=314;
